Bug 116577 - math/labplot: add conflict with math/liborigin
math/labplot: add conflict with math/liborigin
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-23 10:40 UTC by makc
Modified: 2007-09-24 00:20 UTC (History)
0 users

See Also:


Attachments
file.diff (708 bytes, patch)
2007-09-23 10:40 UTC, makc
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description makc 2007-09-23 10:40:01 UTC
Labplot installs its own (outdated) version of liborigin.
mark conflict

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-09-23 10:40:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 kay_lehmann 2007-09-23 11:38:38 UTC
It is correct. Labplot does not compile any more, when liborigin is 
installed and should be marked as conflict/broken if liborigin is 
installed.
I think we should mark liborigin conflicting as well if we have labplot 
installed.
I will contact the developer of labplot (who also develops liborigin as 
well) if he plans to support athe seperate lib in Labplot.

Greets,
Kay

p.s.: please close pr ports/116321as well.

Edwin Groothuis schrieb:
> Maintainer of math/labplot,
>
> Please note that PR ports/116577 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/116577
>
>
Comment 3 kay_lehmann 2007-09-23 12:00:11 UTC
The following reply was made to PR ports/116577; it has been noted by GNATS.

From: Kay Lehmann <Kay_Lehmann@web.de>
To: bug-followup@FreeBSD.org
Cc: makc@issp.ac.ru
Subject: Re: ports/116577: math/labplot: add conflict with math/liborigin
Date: Sun, 23 Sep 2007 12:38:38 +0200

 It is correct. Labplot does not compile any more, when liborigin is 
 installed and should be marked as conflict/broken if liborigin is 
 installed.
 I think we should mark liborigin conflicting as well if we have labplot 
 installed.
 I will contact the developer of labplot (who also develops liborigin as 
 well) if he plans to support athe seperate lib in Labplot.
 
 Greets,
 Kay
 
 p.s.: please close pr ports/116321as well.
 
 Edwin Groothuis schrieb:
 > Maintainer of math/labplot,
 >
 > Please note that PR ports/116577 has just been submitted.
 >
 > If it contains a patch for an upgrade, an enhancement or a bug fix
 > you agree on, reply to this email stating that you approve the patch
 > and a committer will take care of it.
 >
 > The full text of the PR can be found at:
 >     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/116577
 >
 >   
 
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2007-09-24 00:18:00 UTC
edwin       2007-09-23 23:17:56 UTC

  FreeBSD ports repository

  Modified files:
    math/labplot         Makefile 
  Log:
  math/labplot: add conflict with math/liborigin
  
          Labplot installs its own (outdated) version of liborigin.
          mark conflict
  
  PR:             ports/116577
  Submitted by:   Max Brazhnikov <makc@issp.ac.ru>
  
  Revision  Changes    Path
  1.11      +2 -1      ports/math/labplot/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Edwin Groothuis freebsd_committer 2007-09-24 00:18:03 UTC
State Changed
From-To: feedback->closed

Committed, thanks!